ICU 70.1 70.1

Data Structures | Namespaces
numfmt.h File Reference

C++ API: Compatibility APIs for number formatting. More...

`#include "unicode/utypes.h"`
`#include "unicode/unistr.h"`
`#include "unicode/format.h"`
`#include "unicode/unum.h"`
`#include "unicode/locid.h"`
`#include "unicode/stringpiece.h"`
`#include "unicode/curramt.h"`
`#include "unicode/udisplaycontext.h"`

Go to the source code of this file.

## Data Structures
class | icu::NumberFormat
class | icu::NumberFormatFactory
| A NumberFormatFactory is used to register new number formats. More...
class | icu::SimpleNumberFormatFactory
| A NumberFormatFactory that supports a single locale. More...

## Namespaces
namespace | icu
| File coll.h.

## Detailed Description

C++ API: Compatibility APIs for number formatting.

Definition in file numfmt.h.